Subject: Re: how the bytes ordered in mpc8313

From: Scott Wood <[email-masked]>
Date: Wed, 08 Aug 2007 11:55:22 -0500

Yoni Levin wrote:
> I have mpc83xx,
> 
> I saw that I need to use swab32 to any read\write operation from registers,

BTW, you should be using in/out_le32() (or for PCI MMIO, readl/writel) 
rather than swab32().  This will be more efficient since it can use the 
lwbrx/stwbrx instructions, and it will keep working even if the code is 
run little-endian.

-Scott